Download it now!
Bug 75837 - XHTML Saving creates invalid id:s for headings
Summary: XHTML Saving creates invalid id:s for headings
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
4.2.2.1 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:html
Depends on:
Blocks: HTML-Export
  Show dependency treegraph
 
Reported: 2014-03-06 12:35 UTC by Urmas
Modified: 2019-04-07 16:36 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Example of invald id (2.34 KB, application/xml)
2014-03-07 00:30 UTC, Urmas
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Urmas 2014-03-06 12:35:47 UTC
The id:s generated for headings in the exported XHTML file contain illegal characters, such as punctuation.
Comment 1 Joel Madero 2014-03-07 00:01:15 UTC
Hi Urmas - I know you're an experienced bug triager + bug reporter. Please provide all the details we usually require for bug reports. We'd hate to give the impression to new triagers that experienced bug reporters/triagers don't report bugs with reproducible steps, expected result, observed result and appropriate attachments.

Marking as NEEDINFO - UNCONFIRMED once requested information is provided.

Also if this is a new problem would be nice information
Comment 2 Urmas 2014-03-07 00:30:04 UTC
Created attachment 95272 [details]
Example of invald id
Comment 3 Andras Timar 2014-11-03 20:42:46 UTC
W3C Validator says that the attachment is invalid.
See http://validator.w3.org/check?uri=https%3A%2F%2Fbugs.freedesktop.org%2Fattachment.cgi%3Fid%3D95272&charset=%28detect+automatically%29&doctype=Inline&group=0&verbose=1&user-agent=W3C_Validator%2F1.3+http%3A%2F%2Fvalidator.w3.org%2Fservices

Line 19, Column 36: character "“" is not allowed in the value of attribute "id"

But why? According to http://www.w3.org/TR/xml/#NT-Nmtoken the "“" character (#x201C) can be part of XML names.
Comment 4 QA Administrators 2015-12-20 16:17:14 UTC Comment hidden (obsolete)
Comment 5 Urmas 2015-12-24 16:18:50 UTC
Still in 5.2 alpha
Comment 6 QA Administrators 2017-01-03 19:55:22 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.6 or 5.2.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170103